WebLogicJMSConnectionFactory (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicJMSConnectionFactory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicJMSConnectionFactory

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebLogicJMSConnectionFactory

extends LogicalElement

Represents a WebLogic JMS Connection Factory.

Naming Rules:
  0="parent,JNDIName" 1="managedSystemName"
Persistable:
  true
Table Name:
  WLSJMSCF
Display Name:
  JNDIName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAcknowledgePolicy()`
`boolean` | `getAllowCloseInOnMessage()`
`java.lang.String` | `getDefaultDeliveryMode()`
`int` | `getDefaultPriority()`
`long` | `getDefaultRedeliveryDelay()`
`long` | `getDefaultTimeToDeliver()`
`long` | `getDefaultTimeToLive()`
`java.lang.String` | `getJNDIName()`
`int` | `getMessageMaximum()`
`java.lang.String` | `getOverrunPolicy()`
`WebLogicJMSServer` | `getParent()`
`long` | `getTransactionTimeout()`
`boolean` | `getUserTransactionsEnabled()`
`boolean` | `getXAConnectionFactoryEnabled()`
`boolean` | `hasAcknowledgePolicy()`
`boolean` | `hasAllowCloseInOnMessage()`
`boolean` | `hasDefaultDeliveryMode()`
`boolean` | `hasDefaultPriority()`
`boolean` | `hasDefaultRedeliveryDelay()`
`boolean` | `hasDefaultTimeToDeliver()`
`boolean` | `hasDefaultTimeToLive()`
`boolean` | `hasJNDIName()`
`boolean` | `hasMessageMaximum()`
`boolean` | `hasOverrunPolicy()`
`boolean` | `hasParent()`
`boolean` | `hasTransactionTimeout()`
`boolean` | `hasUserTransactionsEnabled()`
`boolean` | `hasXAConnectionFactoryEnabled()`
`void` | `setAcknowledgePolicy(java.lang.String s)`
`void` | `setAllowCloseInOnMessage(boolean b)`
`void` | `setDefaultDeliveryMode(java.lang.String s)`
`void` | `setDefaultPriority(int i)`
`void` | `setDefaultRedeliveryDelay(long l)`
`void` | `setDefaultTimeToDeliver(long l)`
`void` | `setDefaultTimeToLive(long l)`
`void` | `setJNDIName(java.lang.String s)`
`void` | `setMessageMaximum(int i)`
`void` | `setOverrunPolicy(java.lang.String s)`
`void` | `setParent(WebLogicJMSServer parent)`
`void` | `setTransactionTimeout(long l)`
`void` | `setUserTransactionsEnabled(boolean b)`
`void` | `setXAConnectionFactoryEnabled(boolean b)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebLogicJMSServer getParent()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(WebLogicJMSServer parent)

### hasParent

    boolean hasParent()

### getAcknowledgePolicy

    java.lang.String getAcknowledgePolicy()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAcknowledgePolicy

    void setAcknowledgePolicy(java.lang.String s)

### hasAcknowledgePolicy

    boolean hasAcknowledgePolicy()

### getAllowCloseInOnMessage

    boolean getAllowCloseInOnMessage()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAllowCloseInOnMessage

    void setAllowCloseInOnMessage(boolean b)

### hasAllowCloseInOnMessage

    boolean hasAllowCloseInOnMessage()

### getDefaultDeliveryMode

    java.lang.String getDefaultDeliveryMode()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultDeliveryMode

    void setDefaultDeliveryMode(java.lang.String s)

### hasDefaultDeliveryMode

    boolean hasDefaultDeliveryMode()

### getDefaultPriority

    int getDefaultPriority()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultPriority

    void setDefaultPriority(int i)

### hasDefaultPriority

    boolean hasDefaultPriority()

### getDefaultRedeliveryDelay

    long getDefaultRedeliveryDelay()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultRedeliveryDelay

    void setDefaultRedeliveryDelay(long l)

### hasDefaultRedeliveryDelay

    boolean hasDefaultRedeliveryDelay()

### getDefaultTimeToDeliver

    long getDefaultTimeToDeliver()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultTimeToDeliver

    void setDefaultTimeToDeliver(long l)

### hasDefaultTimeToDeliver

    boolean hasDefaultTimeToDeliver()

### getDefaultTimeToLive

    long getDefaultTimeToLive()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultTimeToLive

    void setDefaultTimeToLive(long l)

### hasDefaultTimeToLive

    boolean hasDefaultTimeToLive()

### getJNDIName

    java.lang.String getJNDIName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJNDIName

    void setJNDIName(java.lang.String s)

### hasJNDIName

    boolean hasJNDIName()

### getMessageMaximum

    int getMessageMaximum()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMessageMaximum

    void setMessageMaximum(int i)

### hasMessageMaximum

    boolean hasMessageMaximum()

### getOverrunPolicy

    java.lang.String getOverrunPolicy()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOverrunPolicy

    void setOverrunPolicy(java.lang.String s)

### hasOverrunPolicy

    boolean hasOverrunPolicy()

### getTransactionTimeout

    long getTransactionTimeout()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransactionTimeout

    void setTransactionTimeout(long l)

### hasTransactionTimeout

    boolean hasTransactionTimeout()

### getUserTransactionsEnabled

    boolean getUserTransactionsEnabled()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUserTransactionsEnabled

    void setUserTransactionsEnabled(boolean b)

### hasUserTransactionsEnabled

    boolean hasUserTransactionsEnabled()

### getXAConnectionFactoryEnabled

    boolean getXAConnectionFactoryEnabled()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setXAConnectionFactoryEnabled

    void setXAConnectionFactoryEnabled(boolean b)

### hasXAConnectionFactoryEnabled

    boolean hasXAConnectionFactoryEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD